

  var errorMessages = [
    {
      codes: [-175],
      message: 'Failed to escalate privilege.'
    },{
      codes: [-201],
      message: 'File corrupt.'
    },{
      codes: [-402],
      message: 'Signature could not be verified.'
    },{
      codes: [-403,-411, -459],
      message: 'No compatible After Effects version found.'
    },{
      codes: [-407,-408],
      message: 'Squall is missing a depencency.'
    },{
      codes: [-412],
      message: 'Extension with same name has been found. Please remove it and try again.'
    },{
      codes: [-418],
      message: 'A newer version of Squall is already installed.'
    },{
      codes: [-456,-458],
      message: 'After Effects needs to be closed for the installation to begin.'
    },{
      codes: [-152, -154, -155, -156, -157, -158, -160, -161, -162, -163, -164, -165, -168, -169, -171, -172, -176, -178, -179],
      message: 'File operation error.'
    },{
      codes: [-251, -252, -253, -254, -255, -256, -257, -259, -260, -261, -265, -266, -267, -268, -269, -270, -271, -272],
      message: 'Could not parse the file.'
    },{
      codes: [-505, -506, -507, -508, -508, -509],
      message: 'Could not update the database.'
    },{
      codes: [-601, -602, -603, -604, -651, -652, -653],
      message: 'Could not perform online license check'
    },{
      codes: [0],
      message: 'Could not download extension.'
    }
  ];

function getErrorForCode(code) {
     var returnMessage = null;
    console.log(code);
     errorMessages.forEach(function(element) {
         for (var index = 0; index < element.codes.length; index++) {
             var m = element.codes[index];
             if (m == code) {
                 returnMessage = element.message;
                 break;
             }
         } 
     }, this);
     return returnMessage;
}
